// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "../StatusEffect.h"
#include "DamageOverTime.generated.h"

/**
 * 
 */
UCLASS()
class COMP250_1_2101327_AI_API UDamageOverTime : public UStatusEffect
{
	GENERATED_BODY()
public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DamagePerTurn = 6.0f;

	//virtual void Invoke(AActor* Character, float TimeOfExpiry) override;
	//virtual void OnExpiry(AActor* Character) override;
	virtual void OnEnemyTurn(AActor* Enemy, AActor* Character) override;
};
